using BPA.ApolloClient;
using BPA.ApolloClient.Options;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;

namespace DataV
{
    public class Program
    {
        public static void Main(string[] args)
        {
            WebApplicationBuilder builder = WebApplication.CreateBuilder(args);
            builder.Inject().WebHost.ConfigureAppConfiguration((context, build) =>
            {
                builder.Configuration.AddApolloConfiguration(opt =>
                {
                    builder.Configuration.GetSection(nameof(ApolloOptions)).Bind(opt);
                });

            });
            var app = builder.Build();
            app.Run();
        }
    }
}
