﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DataV
{
    public class SqlDbContext
    {
        public SqlSugarScope DbContext()
        {
            SqlSugarScope client = new SqlSugarScope(new ConnectionConfig
            {
                ConnectionString = Furion.App.Configuration["DbConnectionstring"],
                DbType = DbType.SqlServer,
                InitKeyType = InitKeyType.Attribute,
                IsAutoCloseConnection = true
            });
            client.Aop.OnLogExecuting = (sql, pars) =>
            {
                Console.WriteLine($"当前SQL语句：【{sql}】，参数：【{string.Join(",", pars.Select(t => t.Value))}】");
            };
            return client;
        }
    }
}
