﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace DataV.Model
{
    [SugarTable("BPA_StoreInfo")]
    public class BPA_StoreInfo : BasicEntityRead
    {
        /// <summary>
        /// 与上位机映射ID
        /// </summary>
        public int AutoKey { get; set; }
        /// <summary>
        /// 校验库存
        /// </summary>
        public bool CheckStock { get; set; }
        /// <summary>
        /// 店铺名称
        /// </summary>
        public string Store_Name { get; set; }
        /// <summary>
        /// 店铺类型
        /// </summary>
        public string Store_TypeId { get; set; }
    }
}
